Package com.arms.egovframework.javaservice.treeframework.model

## Class TreeSearchEntity

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity
  - - com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity
    - - com.arms.egovframework.javaservice.treeframework.model.TreeSearchEntity

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `BlogEntity`, `ClientCaseEntity`, `DynamicDBMakerEntity`, `FileRepositoryEntity`, `HolidayEntity`, `JiraIssuePriorityEntity`, `JiraIssueResolutionEntity`, `JiraIssueStatusEntity`, `JiraIssueTypeEntity`, `JiraIssueTypePureEntity`, `JiraProjectEntity`, `JiraProjectIssueTypePureEntity`, `JiraProjectPureEntity`, `JiraServerEntity`, `JiraServerIssuePriorityOnlyEntity`, `JiraServerIssueStatusOnlyEntity`, `JiraServerIssueTypeOnlyEntity`, `JiraServerProjectOnlyEntity`, `JiraServerProjectPureEntity`, `JiraServerPureEntity`, `NewsletterEntity`, `PatchnoteEntity`, `PdServiceDetailEntity`, `PdServiceEntity`, `PdServicePureEntity`, `PdServiceVersionEntity`, `ReceiverEntity`, `ReceiverLogEntity`, `ReportReqAddEntity`, `ReqAddCostEntity`, `ReqAddEntity`, `ReqAddPureEntity`, `ReqAddStatePureEntity`, `ReqCommentEntity`, `ReqDifficultyEntity`, `ReqPriorityEntity`, `ReqReviewCommentEntity`, `ReqReviewCommentLogEntity`, `ReqReviewEntity`, `ReqStateCategoryEntity`, `ReqStateCategoryLogEntity`, `ReqStateEntity`, `ReqStatePureEntity`, `ReqStatusEntity`, `SalaryEntity`, `SenderEntity`, `SenderLogEntity`, `TreeLogBaseEntity`, `WikiEntity`

      @MappedSuperclass
      public abstract class TreeSearchEntity
      extends TreePaginatedEntity
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeSearchEntity()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<org.hibernate.criterion.Criterion>` | `getCriterions()` |
    `java.util.List<org.hibernate.criterion.Criterion>` | `getMembersCriterions​(java.lang.String propertyName, java.lang.Object value, java.lang.String seperator)` |
    `java.util.List<org.hibernate.criterion.Order>` | `getOrder()` |
    `org.hibernate.criterion.Projection` | `getProjection()` |
    `int` | `getWhereCount()` |
    `java.lang.String` | `getWhereMap​(java.lang.String key)` |
    `abstract <T extends TreeSearchEntity> void` | `setFieldFromNewInstance​(T paramInstance)` |
    `void` | `setOrder​(org.hibernate.criterion.Order order)` |
    `void` | `setWhere​(java.lang.String propertyName, java.lang.Object value)` |
    `void` | `setWhere​(org.hibernate.criterion.Criterion criterion)` |
    `void` | `setWhere​(org.hibernate.criterion.Projection projection)` |
    `void` | `setWhereBetween​(java.lang.String propertyName, java.lang.Object lo, java.lang.Object hi)` |
    `void` | `setWhereIn​(java.lang.String propertyName, java.lang.Object[] values)` |
    `void` | `setWhereIn​(java.lang.String propertyName, java.util.Collection<?> values)` |
    `void` | `setWhereIp​(java.lang.String propertyName, java.lang.String value, java.lang.String propertyIpStartName, java.lang.String propertyIpEndName)` |
    `void` | `setWhereLike​(java.lang.String propertyName, java.lang.String str)` |
    `void` | `setWhereOr​(java.util.List<org.hibernate.criterion.Criterion> criterions)` |
    `void` | `setWhereOr​(org.hibernate.criterion.Criterion... criterions)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity

      `getFirstIndex, getLastIndex, getPageIndex, getPageSize, getPageUnit, getPaginationInfo, getRecordCountPerPage, getSearchCondition, getSearchKeyword, getSearchKeywordFrom, getSearchKeywordTo, getSearchUseYn, setFirstIndex, setLastIndex, setPageIndex, setPageSize, setPageUnit, setPaginationInfo, setRecordCountPerPage, setSearchCondition, setSearchKeyword, setSearchKeywordFrom, setSearchKeywordTo, setSearchUseYn, toString`

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity

      `getAjaxMessage, getAttr, getC_id, getC_idsByChildNodeFromNodeById, getC_left, getC_level, getC_parentid, getC_position, getC_right, getC_title, getC_type, getChildcount, getCopy, getData, getFixCopyId, getFixCopyPosition, getId, getIdif, getIdifLeft, getIdifRight, getLdif, getMultiCounter, getNodeById, getRef, getRightPositionFromNodeByRef, getSearchStr, getSpaceOfTargetNode, getState, getStatus, isCopied, setAjaxMessage, setC_id, setC_idsByChildNodeFromNodeById, setC_left, setC_level, setC_parentid, setC_position, setC_right, setC_title, setC_type, setChildcount, setCopied, setCopy, setData, setFixCopyId, setFixCopyPosition, setId, setIdif, setIdifLeft, setIdifRight, setLdif, setMultiCounter, setNodeById, setRef, setRightPositionFromNodeByRef, setSearchStr, setSpaceOfTargetNode, setState, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeSearchEntity

          public TreeSearchEntity()

  - ### Method Detail

    - #### setFieldFromNewInstance

          public abstract <T extends TreeSearchEntity> void setFieldFromNewInstance​(T paramInstance)

    - #### getOrder

          public java.util.List<org.hibernate.criterion.Order> getOrder()

    - #### setOrder

          public void setOrder​(org.hibernate.criterion.Order order)

    - #### getCriterions

          public java.util.List<org.hibernate.criterion.Criterion> getCriterions()

    - #### getWhereMap

          public java.lang.String getWhereMap​(java.lang.String key)

    - #### getWhereCount

          public int getWhereCount()

    - #### setWhere

          public void setWhere​(java.lang.String propertyName,
                               java.lang.Object value)

    - #### setWhereLike

          public void setWhereLike​(java.lang.String propertyName,
                                   java.lang.String str)

    - #### setWhereOr

          public void setWhereOr​(org.hibernate.criterion.Criterion... criterions)

    - #### setWhereOr

          public void setWhereOr​(java.util.List<org.hibernate.criterion.Criterion> criterions)

    - #### setWhere

          public void setWhere​(org.hibernate.criterion.Criterion criterion)

    - #### setWhere

          public void setWhere​(org.hibernate.criterion.Projection projection)

    - #### getProjection

          public org.hibernate.criterion.Projection getProjection()

    - #### setWhereBetween

          public void setWhereBetween​(java.lang.String propertyName,
                                      java.lang.Object lo,
                                      java.lang.Object hi)

    - #### setWhereIn

          public void setWhereIn​(java.lang.String propertyName,
                                 java.util.Collection<?> values)

    - #### setWhereIn

          public void setWhereIn​(java.lang.String propertyName,
                                 java.lang.Object[] values)

    - #### setWhereIp

          public void setWhereIp​(java.lang.String propertyName,
                                 java.lang.String value,
                                 java.lang.String propertyIpStartName,
                                 java.lang.String propertyIpEndName)

    - #### getMembersCriterions

          public java.util.List<org.hibernate.criterion.Criterion> getMembersCriterions​(java.lang.String propertyName,
                                                                                        java.lang.Object value,
                                                                                        java.lang.String seperator)